% PRESPREM
% Shows the id.data and the premise 
% of the Current predsure model
%
% Called by fuzzPRES

% Magne, 1998

figure(illustr);clf;
pos=uright;
set(illustr,'Name','PREMISE Space / identification data','Position',pos,'visible','on');

%% Make the antecedent space mesh
P=1:(1.2/25):2.2;
U=0:4:100;
[P,U]=meshgrid(P,U);
if(ct==2),
	dofmesh=dofprod(rls(:,1:3),mfs,[P(:),U(:)]);
	dofmesh=max(dofmesh');
else,
	dofmesh=dofmin(rls,mfs,[P(:),U(:)]);
	dofmesh=max(dofmesh');
end;

% Plot of antecedent space comes in ILLUSTR vindow
figure(illustr);colormap('copper');axis([0 100 1 2.15]);view(0,90);hold on;
surf(U,P,reshape(dofmesh,size(U,1),size(U,2)));
shading interp;

% Plot the identification data
plot3(trd(:,2),trd(:,1),ones(size(trd,1),1),'oy');
xlabel('Valve u(k) [% closed]');
ylabel('Pressure y(k) [10e5 Pa]');

% Plot rule numbers
for i=1:size(rls,1),
   text((mfs(rls(i,3),4)+mfs(rls(i,3),3))/2,(mfs(rls(i,2),4)+mfs(rls(i,2),3))/2,2,num2str(i),'FontSize',14);   
end;

% clean up workspace
clear P U dofmesh;
