% pressim(evd,rls,mfs,ct)
% Simulate the pressure model in free-run

%% Make the antecedent space mesh
P=1:(1.2/25):2.2;
U=0:4:100;
[P,U]=meshgrid(P,U);
if(ct==2),
	dofmesh=dofprod(rls(:,1:3),mfs,[P(:),U(:)]);
	dofmesh=max(dofmesh');
else,
	dofmesh=dofmin(rls,mfs,[P(:),U(:)]);
	dofmesh=max(dofmesh');
end;

% Plot of antecedent space comes in ILLUSTR vindow
figure(illustr);
pos=uright;
meshz(U,P,reshape(dofmesh,size(U,1),size(U,2)));
hold on; view(322,55); axis([0 100 1 2.15 0 1.1])
H1 = plot(ue(1),ye(1),'o','color','w','LineWidth',5,'EraseMode','xor');
xlabel('Valve position [% closed]'); ylabel('Pressure [1e5 Pa]'); 
zlabel('Membership grade'); hold off;
set(illustr,'Name','Antecedent space','position',pos,'visible','on');
% clean up workspace
clear P U dofmesh;

% Plot of simulation in the SIMUALTE vindow
figure(simulate);
pos=lright;
H2 = plot(5*(0:length(ue)-1),[ye],'color','w'); 
xlabel('Time [s]'); ylabel('Pressure [1e5 Pa]'); drawnow; hold on; 
set(simulate,'Name','Pressure prediction','position',pos,'visible','on');

yme = ye1;
for i = 2 : size(ue,1),
	if(ct==2),	% TAKAGIO SUGENO
		dofe = dofprod(rls(:,1:3),mfs,[yme(i-1) ue(i-1)]);
 		yme(i) = sugval(p,[yme(i-1) ue(i-1) 1],dofe,yme(i-1));
	else,
		[yme(i),dofe] = infer(rls,mfs,[yme(i-1) ue(i-1)],yme(i-1));
   end;
   figure(simulate);
   plot(5*[i-1 i],[ye(i-1) ye(i)],'b--',5*[i-1 i],[yme(i-1) yme(i)],'r','EraseMode','none');
   set(H1,'xdata',ue(i-1),'ydata',yme(i-1),'zdata',max(dofe),'color','r');
   drawnow;
end;
% clean up workspace
clear dofe yme;
