% MODELING OF FERMENTOR PRESSURE DYNAMICS
%
% fuzz Exercise
%
% Magne & Robert, 1998

% Matlab 5 version, September 1998 (Magne)


echo off;
clear all;close all;

% --------------------------
% Initialize
% --------------------------
deffuzz

%----------
%load data
%----------
% input 1 is pressure, input 2 is valve position
load presdata;

%------------
% Initialize
%------------

PLABELS=str2mat('VERY LOW','LOW','MODERATE','HIGH','VERY HIGH   ');
ULABELS=str2mat('FULLY OPEN','OPEN','HALF OPEN','CLOSED','FULLY CLOSED');
% Pointers to select labels
pointers=[3 0 0 0 0; 2 4 0 0 0; 2 3 4 0 0; 1 2 4 5 0; 1 2 3 4 5];

mu=3;	% Default number of membership functions for valve
mp=3;	% Default number of membership functions for pressure
mt=1;	% Default membership function type
ct=1;	% Default type of fuzzy system (1=mamdani, 2=takagi-sugeno)

p=[];

%--------------------
% Define used windows
%--------------------
% INSTR
pos=uleftsmall;
instr=figure('NumberTitle','off', ...
   'Menu','none',...
	'position',pos,...
	'Visible','off');

% ILLUSTR
pos=righthalf;
illustr=figure('NumberTitle','off', ...
   'Menu','none',...
	'position',pos,...
   'Visible','off');

% SIMULATE
pos=lright;
simulate=figure('NumberTitle','off', ...
   'Menu','none',...
	'position',pos,...
   'Visible','off');

% RULES
pos=lleft;
rules=figure('NumberTitle','off', ...
   'Menu','none',...
	'position',pos,...
   'Visible','off');

% MAIN MENU
pos=uleft;
mainmenu=figure('NumberTitle','off', ...
  	'Menu','none',...
	'position',pos,...
	'Visible','off');


%-----------------
% RUN INTRODUCTION
%-----------------
presintr;


%---------------------
% MAIN MENU
%----------------------

presmain;presinsp;